Subject: Patch for bug #6515: unneeded let-bound variables in bookmark.el

From: Christoph <[email-masked]>
Date: Sat, 26 Jun 2010 15:45:18 -0600

Hi

Find attached a bugfix for bug #6515
(http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6515) for review.

Imho, the bug report is valid. I don't think the code in question should
override globally set variable bookmark-automatically-show-annotations.
Therefore, the let variables were removed.

I sent in my signed paperwork a while ago, but haven't heard anything
back, so I hope this is minor enough to maybe go through without it.

Christoph

# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: [email-masked]
# target_branch: http://bzr.savannah.gnu.org/r/emacs/trunk/
# testament_sha1: ed110efd0fe83dca9884a93319ad8d3447b1eb7c
# timestamp: 2010-06-26 11:57:42 -0600
# base_revision_id: [email-masked]
# 
# Begin patch
=== modified file 'lisp/bookmark.el'
--- lisp/bookmark.el	2010-04-14 15:07:53 +0000
+++ lisp/bookmark.el	2010-06-26 17:53:27 +0000
@@ -1860,8 +1860,7 @@
         (pop-up-windows t))
     (delete-other-windows)
     (switch-to-buffer (other-buffer))
-    (let ((bookmark-automatically-show-annotations nil)) ;FIXME: needed?
-      (bookmark--jump-via bmrk 'pop-to-buffer))
+    (bookmark--jump-via bmrk 'pop-to-buffer)
     (bury-buffer menu)))

@@ -1875,8 +1874,7 @@
   "Select this line's bookmark in other window, leaving bookmark menu visible."
   (interactive)
   (let ((bookmark (bookmark-bmenu-bookmark)))
-    (let ((bookmark-automatically-show-annotations t)) ;FIXME: needed?
-      (bookmark--jump-via bookmark 'switch-to-buffer-other-window))))
+    (bookmark--jump-via bookmark 'switch-to-buffer-other-window)))

 (defun bookmark-bmenu-switch-other-window ()
@@ -1887,8 +1885,7 @@
         (pop-up-windows t)
         same-window-buffer-names
         same-window-regexps)
-    (let ((bookmark-automatically-show-annotations t)) ;FIXME: needed?
-      (bookmark--jump-via bookmark 'display-buffer))))
+    (bookmark--jump-via bookmark 'display-buffer)))
 
 (defun bookmark-bmenu-other-window-with-mouse (event)
   "Select bookmark at the mouse pointer in other window, leaving bookmark menu visible."

# Begin bundle